### Method

# Ide TestManager run_all_async

#### Declaration

    void
    ide_test_manager_run_all_async (
      IdeTestManager* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Executes all tests in an undefined order.

Upon completion, `callback` will be executed which must call `ide_test_manager_run_all_finish()` to get the result.

Note that the individual test result information will be attached to the specific `IdeTest` instances.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.